Method: projects.locations.autonomousDatabases.switchover

Initiates a switchover of specified autonomous database to the associated peer database.

HTTP request


POST https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/autonomousDatabases/*}:switchover

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The name of the Autonomous Database in the following format: projects/{project}/locations/{location}/autonomousDatabases/{autonomousDatabase}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "peerAutonomousDatabase": string
}
Fields
peerAutonomousDatabase

string

Optional. The peer database name to switch over to. Required for cross-region standby, and must be omitted for in-region Data Guard.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • oracledatabase.autonomousDatabases.switchover

For more information, see the IAM documentation.